summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-lang/icon
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-lang/icon')
-rw-r--r--dev-lang/icon/Manifest2
-rw-r--r--dev-lang/icon/files/icon-9.4.3-flags.patch62
-rw-r--r--dev-lang/icon/files/icon-9.5.0-flags.patch75
-rw-r--r--dev-lang/icon/files/tests-943.patch113
-rw-r--r--dev-lang/icon/icon-9.4.3-r5.ebuild107
-rw-r--r--dev-lang/icon/icon-9.5.0.ebuild104
-rw-r--r--dev-lang/icon/metadata.xml6
7 files changed, 469 insertions, 0 deletions
diff --git a/dev-lang/icon/Manifest b/dev-lang/icon/Manifest
new file mode 100644
index 00000000000..178e7a80889
--- /dev/null
+++ b/dev-lang/icon/Manifest
@@ -0,0 +1,2 @@
+DIST icon-v950src.tgz 3115766 SHA256 ceb558bcf5b2edc3252b2d1d4ed640d2a218196f73d299b052f1e0c50e9b1557 SHA512 32f01ca65863525d92846b505ea61f6fbad5a11991d0476c5e79647459dee12746b4448f8d32f2766c198b6713587e48eb0f7f2a942ce42a929f080a85039fa3 WHIRLPOOL 641db3d8d6cc384772649cd0a80884ea9bbb7027df772b19ea6216f164bc589ffc1331cc80447483455e05f54405ed18af0ce69d9d48d4ea7d42ff1b341811c0
+DIST icon.v943src.tgz 3218627 SHA256 d6b6dc508922251748c4ceefbc3a96b54a9f488e260f9f517b5e08dc21615bff SHA512 9f89c7f1aaea1caea586aeb1ef74346a0f258c26ae74581a9ce7b59c2b590eb79316bdb9530b70d9af59ad06e6c444eec92016d0e5b015f4d467bde0baac2695 WHIRLPOOL e776f088ed6a4db10f9defc11a71187cdef4c6ca50b89f80c035b2981c650999cc27bebeab57b99b495653d42af2e34ea5827d6744d4b8f265c7d1883e864437
diff --git a/dev-lang/icon/files/icon-9.4.3-flags.patch b/dev-lang/icon/files/icon-9.4.3-flags.patch
new file mode 100644
index 00000000000..cdb5adcd1b4
--- /dev/null
+++ b/dev-lang/icon/files/icon-9.4.3-flags.patch
@@ -0,0 +1,62 @@
+--- icon.v943src/ipl/cfuncs/Makefile
++++ icon.v943src/ipl/cfuncs/Makefile
+@@ -25,7 +25,7 @@
+ # library
+
+ $(FUNCLIB): $(FUNCS) mklib.sh
+- CC="$(CC)" CFLAGS="$(CFLAGS)" sh mklib.sh $(FUNCLIB) $(FUNCS)
++ CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" sh mklib.sh $(FUNCLIB) $(FUNCS)
+ $(FUNCS): icall.h
+
+
+--- icon.v943src/ipl/cfuncs/mklib.sh
++++ icon.v943src/ipl/cfuncs/mklib.sh
+@@ -11,7 +11,7 @@
+ set -x
+ case "$SYS" in
+ Linux*|*BSD*|GNU*)
+- gcc -shared -o $LIBNAME -fPIC "$@";;
++ $CC -shared -o $LIBNAME $CFLAGS $LDFLAGS -fPIC "$@";;
+ Darwin*)
+ cc -bundle -undefined suppress -flat_namespace -o $LIBNAME "$@";;
+ SunOS*)
+--- icon.v943src/src/common/Makefile
++++ icon.v943src/src/common/Makefile
+@@ -8,7 +8,7 @@
+ common: doincl $(OBJS) gpxmaybe
+
+ doincl: doincl.c ../h/arch.h
+- $(CC) $(CFLAGS) -o doincl doincl.c
++ $(CC) $(CFLAGS) $(LDFLAGS) -o doincl doincl.c
+ -./doincl -o ../../bin/rt.h ../h/rt.h
+
+ patchstr: patchstr.c
+@@ -29,7 +29,7 @@
+ ../h/typedefs.h ../h/mproto.h ../h/cpuconf.h
+
+ ../h/arch.h: infer.c
+- $(CC) $(CFLAGS) -o infer infer.c
++ $(CC) $(CFLAGS) $(LDFLAGS) -o infer infer.c
+ ./infer >../h/arch.h
+
+ identify.o: ../h/version.h
+@@ -46,7 +46,7 @@
+
+ # for rswitch, $(CFLAGS) is deliberately omitted (-O may cause problems)
+ rswitch.o: ../h/define.h ../h/arch.h $(RSW)
+- $(CC) -c $(RSW)
++ $(CC) $(CFLAGS) -O0 -c $(RSW)
+
+
+ # The following section is needed if changes are made to the Icon grammar,
+--- icon.v943src/src/runtime/Makefile
++++ icon.v943src/src/runtime/Makefile
+@@ -39,7 +39,7 @@
+
+ iconx: $(OBJS)
+ cd ../common; $(MAKE)
+- $(CC) $(RLINK) -o iconx $(OBJS) $(XL) $(RLIBS) $(TL)
++ $(CC) $(LDFLAGS) $(RLINK) -o iconx $(OBJS) $(XL) $(RLIBS) $(TL)
+ cp iconx ../../bin
+ strip $(SFLAGS) ../../bin/iconx$(EXE)
+
diff --git a/dev-lang/icon/files/icon-9.5.0-flags.patch b/dev-lang/icon/files/icon-9.5.0-flags.patch
new file mode 100644
index 00000000000..33fa9485c20
--- /dev/null
+++ b/dev-lang/icon/files/icon-9.5.0-flags.patch
@@ -0,0 +1,75 @@
+--- icon-v950src/ipl/cfuncs/Makefile
++++ icon-v950src/ipl/cfuncs/Makefile
+@@ -25,7 +25,7 @@
+ # library
+
+ $(FUNCLIB): $(FUNCS) mklib.sh
+- CC="$(CC)" CFLAGS="$(CFLAGS)" BIN="../../bin" \
++ CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" BIN="../../bin" \
+ sh mklib.sh $(FUNCLIB) $(FUNCS)
+ $(FUNCS): icall.h
+
+--- icon-v950src/ipl/cfuncs/mklib.sh
++++ icon-v950src/ipl/cfuncs/mklib.sh
+@@ -12,7 +12,7 @@
+ set -x
+ case "$SYS" in
+ Linux*|*BSD*|GNU*)
+- $CC -shared -o $LIBNAME -fPIC "$@";;
++ $CC -shared -o $LIBNAME $CFLAGS $LDFLAGS -fPIC "$@";;
+ CYGWIN*)
+ # move the win32 import library for iconx.exe callbacks
+ # created when iconx.exe was built
+--- icon-v950src/ipl/packs/loadfunc/Makefile
++++ icon-v950src/ipl/packs/loadfunc/Makefile
+@@ -28,7 +28,7 @@
+ echo '$$define FUNCLIB "./$(FUNCLIB)"' >libnames.icn
+
+ $(FUNCLIB): $(FUNCS)
+- CC="$(CC)" CFLAGS="$(CFLAGS)" BIN="../../../bin" \
++ CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" BIN="../../../bin" \
+ sh $(MKLIB) $(FUNCLIB) $(FUNCS)
+
+
+--- icon-v950src/src/common/Makefile
++++ icon-v950src/src/common/Makefile
+@@ -8,7 +8,7 @@
+ common: $(OBJS) gpxmaybe
+
+ patchstr: patchstr.c
+- $(CC) $(CFLAGS) -o patchstr patchstr.c
++ $(CC) $(CFLAGS) $(LDFLAGS) -o patchstr patchstr.c
+
+ gpxmaybe:
+ -if [ "x$(XL)" != "x" ]; then $(MAKE) $(GDIR); fi
+@@ -25,7 +25,7 @@
+ ../h/typedefs.h ../h/mproto.h ../h/cpuconf.h
+
+ ../h/arch.h: infer.c
+- $(CC) $(CFLAGS) -o infer infer.c
++ $(CC) $(CFLAGS) $(LDFLAGS) -o infer infer.c
+ ./infer >../h/arch.h
+
+ identify.o: ../h/version.h
+--- icon-v950src/src/rtt/Makefile
++++ icon-v950src/src/rtt/Makefile
+@@ -22,7 +22,7 @@
+
+
+ rtt: $(OBJ)
+- $(CC) $(LDFLAGS) -o rtt $(OBJ)
++ $(CC) $(CFLAGS) $(LDFLAGS) -o rtt $(OBJ)
+
+ library: $(OBJ)
+ rm -rf rtt.a
+--- icon-v950src/src/runtime/Makefile
++++ icon-v950src/src/runtime/Makefile
+@@ -30,7 +30,7 @@
+
+ iconx: $(COBJS) $(XOBJS)
+ cd ../common; $(MAKE)
+- $(CC) $(RLINK) -o iconx $(XOBJS) $(COBJS) $(XL) $(RLIBS) $(TLIBS)
++ $(CC) $(CFLAGS) $(LDFLAGS) $(RLINK) -o iconx $(XOBJS) $(COBJS) $(XL) $(RLIBS) $(TLIBS)
+ cp iconx ../../bin
+ strip $(SFLAGS) ../../bin/iconx$(EXE)
+
diff --git a/dev-lang/icon/files/tests-943.patch b/dev-lang/icon/files/tests-943.patch
new file mode 100644
index 00000000000..75108cab193
--- /dev/null
+++ b/dev-lang/icon/files/tests-943.patch
@@ -0,0 +1,113 @@
+diff -uprN icon.v943src_base/tests/general/io.icn icon.v943src/tests/general/io.icn
+--- icon.v943src_base/tests/general/io.icn 2002-03-11 14:21:18.000000000 -0700
++++ icon.v943src/tests/general/io.icn 2006-04-01 10:35:14.590948251 -0700
+@@ -6,7 +6,7 @@ procedure main()
+ local L, f, m, n, t1, t2
+
+ L := [&input, &output, &errout,
+- m := open("/etc/motd") | stop("no /etc/motd"),
++ m := open("/etc/gentoo-release") | stop("no /etc/gentoo-release"),
+ n := open("/dev/null", "w") | stop("no /dev/null")]
+ L := sort(L)
+ every f := !L do
+@@ -21,10 +21,10 @@ procedure main()
+ every write(!&input) \ 2
+
+ write()
+- write("flush /etc/motd: ", image(flush(m)) | "FAILED")
+- write("close /etc/motd: ", image(close(m)) | "FAILED")
+- write("close /etc/motd: ", image(close(m)) | "FAILED")
+- write("flush /etc/motd: ", image(flush(m)) | "FAILED")
++ write("flush /etc/gentoo-release: ", image(flush(m)) | "FAILED")
++ write("close /etc/gentoo-release: ", image(close(m)) | "FAILED")
++ write("close /etc/gentoo-release: ", image(close(m)) | "FAILED")
++ write("flush /etc/gentoo-release: ", image(flush(m)) | "FAILED")
+
+ write()
+ write("flush /dev/null: ", image(flush(n)) | "FAILED")
+diff -uprN icon.v943src_base/tests/general/io.std icon.v943src/tests/general/io.std
+--- icon.v943src_base/tests/general/io.std 2002-03-11 14:21:18.000000000 -0700
++++ icon.v943src/tests/general/io.std 2006-04-01 10:35:31.071362086 -0700
+@@ -2,7 +2,7 @@ file: &errout
+ file: &input
+ file: &output
+ file: file(/dev/null)
+-file: file(/etc/motd)
++file: file(/etc/gentoo-release)
+
+ aaa
+ bbbb
+@@ -13,10 +13,10 @@ ffffffff
+ ggggggggg
+ hhhhhhhhhh
+
+-flush /etc/motd: file(/etc/motd)
+-close /etc/motd: file(/etc/motd)
+-close /etc/motd: file(/etc/motd)
+-flush /etc/motd: file(/etc/motd)
++flush /etc/gentoo-release: file(/etc/gentoo-release)
++close /etc/gentoo-release: file(/etc/gentoo-release)
++close /etc/gentoo-release: file(/etc/gentoo-release)
++flush /etc/gentoo-release: file(/etc/gentoo-release)
+
+ flush /dev/null: file(/dev/null)
+ close /dev/null: file(/dev/null)
+@@ -109,7 +109,7 @@ file(sed 's/^/=()= /' io.icn)
+ > =()= local L, f, m, n, t1, t2
+ > =()=
+ > =()= L := [&input, &output, &errout,
+-> =()= m := open("/etc/motd") | stop("no /etc/motd"),
++> =()= m := open("/etc/gentoo-release") | stop("no /etc/gentoo-release"),
+ > =()= n := open("/dev/null", "w") | stop("no /dev/null")]
+
+ file(ls io.i?n io.d?t io.s?d)
+diff -uprN icon.v943src_base/tests/general/kwds.std icon.v943src/tests/general/kwds.std
+--- icon.v943src_base/tests/general/kwds.std 2002-07-10 18:29:28.000000000 -0600
++++ icon.v943src/tests/general/kwds.std 2006-04-01 10:35:37.103317654 -0700
+@@ -20,8 +20,10 @@
+ &features: ASCII
+ &features: co-expressions
+ &features: environment variables
++ &features: event monitoring
+ &features: keyboard functions
+ &features: large integers
++ &features: multiple programs
+ &features: pipes
+ &features: system function
+ &input: &input
+diff -uprN icon.v943src_base/tests/general/nargs.std icon.v943src/tests/general/nargs.std
+--- icon.v943src_base/tests/general/nargs.std 2001-12-06 15:54:01.000000000 -0700
++++ icon.v943src/tests/general/nargs.std 2006-04-01 10:35:43.282223496 -0700
+@@ -15,7 +15,7 @@
+ 1 delay
+ 2 delete
+ -2 detab
+- 2 display
++ 3 display
+ 1 dtor
+ -2 entab
+ 0 errorclear
+@@ -43,12 +43,12 @@
+ 4 match
+ 2 member
+ 1 move
+- 1 name
++ 2 name
+ 1 numeric
+ 1 ord
+ 1 pop
+ 1 pos
+- 2 proc
++ 3 proc
+ 1 pull
+ -2 push
+ -2 put
+@@ -79,7 +79,7 @@
+ 2 trim
+ 1 type
+ 4 upto
+- 1 variable
++ 3 variable
+ 1 where
+ -1 write
+ -1 writes
diff --git a/dev-lang/icon/icon-9.4.3-r5.ebuild b/dev-lang/icon/icon-9.4.3-r5.ebuild
new file mode 100644
index 00000000000..520ba2f3ffe
--- /dev/null
+++ b/dev-lang/icon/icon-9.4.3-r5.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit eutils flag-o-matic multilib toolchain-funcs
+
+MY_PV=${PV//./}
+SRC_URI="http://www.cs.arizona.edu/icon/ftp/packages/unix/icon.v${MY_PV}src.tgz"
+HOMEPAGE="http://www.cs.arizona.edu/icon/"
+DESCRIPTION="very high level language"
+
+LICENSE="public-domain HPND"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
+IUSE="X iplsrc"
+
+S="${WORKDIR}/icon.v${MY_PV}src"
+
+DEPEND="X? ( x11-proto/xextproto
+ x11-proto/xproto
+ x11-libs/libX11
+ x11-libs/libXpm
+ x11-libs/libXt )
+ sys-devel/gcc"
+
+src_unpack() {
+ unpack ${A}
+
+ epatch "${FILESDIR}"/${P}-flags.patch
+
+ # Patch the tests so that they do not fail
+ # The following files in tests/standard are patched..
+ # io.icn - change /etc/motd to /etc/gentoo-release
+ # io.std - change /etc/motd to /etc/gentoo-release
+ # kwds.std - add two lines for the two new added keywords
+ # nargs.std - a couple of functions picked up additional parameters
+ epatch "${FILESDIR}/tests-${MY_PV}.patch"
+
+ # do not prestrip files
+ find "${S}"/src -name 'Makefile' | xargs sed -i -e "/strip/d" || die
+}
+
+src_compile() {
+ # select the right compile target. Note there are many platforms
+ # available
+ local mytarget;
+ if [[ ${CHOST} == *-darwin* ]]; then
+ mytarget="macintosh"
+ else
+ mytarget="linux"
+ fi
+
+ if use X; then
+ emake X-Configure name=${mytarget} -j1 || die
+ else
+ emake Configure name=${mytarget} -j1 || die
+ fi
+
+ echo "#define MultiThread 1" >> src/h/define.h
+ echo "#define EventMon 1" >> src/h/define.h
+ echo "#define Eve 1" >> src/h/define.h
+
+ append-flags $(test-flags -fno-strict-aliasing -fwrapv)
+
+ emake -j1 CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die "Make Failed"
+}
+
+src_test() {
+ make Samples || die "Samples failed"
+ make Test || die "Test failed"
+}
+
+src_install() {
+ dodir /usr
+ dodir /usr/bin
+ dodir /usr/$(get_libdir)
+
+ make Install dest="${D}/usr/$(get_libdir)/icon" || die "Make install failed"
+ dosym /usr/$(get_libdir)/icon/bin/icont /usr/bin/icont
+ dosym /usr/$(get_libdir)/icon/bin/iconx /usr/bin/iconx
+ dosym /usr/$(get_libdir)/icon/bin/icon /usr/bin/icon
+ dosym /usr/$(get_libdir)/icon/bin/vib /usr/bin/vib
+
+ cd "${S}/man/man1"
+ doman icont.1
+ doman icon.1
+ rm -rf "${D}"/usr/$(get_libdir)/icon/man
+
+ cd "${S}/doc"
+ dodoc *.txt *.sed ../README
+ # dohtml ignores all anything except .html files, no use here
+ mkdir -p "${D}"/usr/share/doc/${PF}/html
+ cp -dpR *.htm *.gif *.jpg *.css "${D}"/usr/share/doc/${PF}/html
+ rm -rf "${D}"/usr/$(get_libdir)/icon/{doc,README}
+
+ # optional Icon Programming Library
+ if use iplsrc; then
+ cd "${S}"
+ dodir /usr/$(get_libdir)/icon/ipl
+ rm ipl/BuildBin
+ rm ipl/BuildExe
+ rm ipl/CheckAll
+ rm ipl/Makefile
+ insinto /usr/$(get_libdir)/icon
+ doins -r ipl
+ fi
+}
diff --git a/dev-lang/icon/icon-9.5.0.ebuild b/dev-lang/icon/icon-9.5.0.ebuild
new file mode 100644
index 00000000000..f8149886adb
--- /dev/null
+++ b/dev-lang/icon/icon-9.5.0.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils flag-o-matic multilib toolchain-funcs
+
+MY_PV=${PV//./}
+SRC_URI="http://www.cs.arizona.edu/icon/ftp/packages/unix/icon-v${MY_PV}src.tgz"
+HOMEPAGE="http://www.cs.arizona.edu/icon/"
+DESCRIPTION="very high level language"
+
+LICENSE="public-domain HPND"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="X iplsrc"
+
+S="${WORKDIR}/icon-v${MY_PV}src"
+
+DEPEND="X? ( x11-proto/xextproto
+ x11-proto/xproto
+ x11-libs/libX11
+ x11-libs/libXpm
+ x11-libs/libXt )
+ || ( sys-devel/gcc sys-devel/gcc-apple )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-flags.patch
+
+ # do not prestrip files
+ find "${S}"/src -name 'Makefile' | xargs sed -i -e "/strip/d" || die
+}
+
+src_configure() {
+ # select the right compile target. Note there are many platforms
+ # available
+ local mytarget;
+ if [[ ${CHOST} == *-darwin* ]]; then
+ mytarget="macintosh"
+ else
+ mytarget="linux"
+ fi
+
+ if use X; then
+ emake X-Configure name=${mytarget} -j1 || die
+ else
+ emake Configure name=${mytarget} -j1 || die
+ fi
+
+ # sanitise the Makedefs file generated by Configure
+ sed -i \
+ -e 's:-L/usr/X11R6/lib64::g' \
+ -e 's:-L/usr/X11R6/lib::g' \
+ -e 's:-I/usr/X11R6/include::g' \
+ Makedefs || die "sed of Makedefs failed"
+
+ append-flags $(test-flags -fno-strict-aliasing -fwrapv)
+}
+
+src_compile() {
+ emake -j1 CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_test() {
+ make Samples || die "Samples failed"
+ make Test || die "Test failed"
+}
+
+src_install() {
+ dodir /usr
+ dodir /usr/bin
+ dodir /usr/$(get_libdir)
+
+ make Install dest="${ED}/usr/$(get_libdir)/icon" || die "Make install failed"
+ dosym /usr/$(get_libdir)/icon/bin/icont /usr/bin/icont
+ dosym /usr/$(get_libdir)/icon/bin/iconx /usr/bin/iconx
+ dosym /usr/$(get_libdir)/icon/bin/icon /usr/bin/icon
+ dosym /usr/$(get_libdir)/icon/bin/vib /usr/bin/vib
+
+ cd "${S}/man/man1"
+ doman icont.1
+ doman icon.1
+ rm -rf "${ED}"/usr/$(get_libdir)/icon/man
+
+ cd "${S}/doc"
+ dodoc *.txt *.sed ../README
+ # dohtml ignores all anything except .html files, no use here
+ mkdir -p "${ED}"/usr/share/doc/${PF}/html
+ cp -dpR *.htm *.gif *.jpg *.css "${ED}"/usr/share/doc/${PF}/html
+ rm -rf "${ED}"/usr/$(get_libdir)/icon/{doc,README}
+
+ # optional Icon Programming Library
+ if use iplsrc; then
+ cd "${S}"
+ dodir /usr/$(get_libdir)/icon/ipl
+ rm ipl/BuildBin
+ rm ipl/BuildExe
+ rm ipl/CheckAll
+ rm ipl/Makefile
+ insinto /usr/$(get_libdir)/icon
+ doins -r ipl
+ fi
+}
diff --git a/dev-lang/icon/metadata.xml b/dev-lang/icon/metadata.xml
new file mode 100644
index 00000000000..8595a9cf85b
--- /dev/null
+++ b/dev-lang/icon/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>lang-misc</herd>
+<use><flag name='iplsrc'>install the icon programming library source</flag></use>
+</pkgmetadata>